# Fiberal use cases
##  Single client module
   - This can be just for algorithmus testing in single machine. 
  
##  Multiple client modules
##  Single agency module
## Multiple agency modules
    Pure P2P decenterlized learning architecture
##  Single client module and agency module
##  Multiple client module and agency module
    Cross-Silo learning architecture
